<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Chunk (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Chunk (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Chunk.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li><a href="../../../../../org/apache/poi/hdgf/chunks/Chunk.Command.html"
               title="class in org.apache.poi.hdgf.chunks"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hdgf/chunks/Chunk.html" target="_top">Frames</a></li>
        <li><a href="Chunk.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hdgf.chunks</div>
    <h2 title="Class Chunk" class="title">Class Chunk</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hdgf.chunks.Chunk</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">Chunk</span>
extends java.lang.Object</pre>
                <div class="block">Base of all chunks, which hold data, flags etc</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Nested Class Summary table, listing nested classes, and an explanation">
                            <caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Class and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hdgf/chunks/Chunk.Command.html"
                                        title="class in org.apache.poi.hdgf.chunks">Chunk.Command</a></span></code>
                                    <div class="block">A command in the visio file.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/hdgf/chunks/ChunkFactory.CommandDefinition.html"
                                        title="class in org.apache.poi.hdgf.chunks">ChunkFactory.CommandDefinition</a>[]</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hdgf/chunks/Chunk.html#commandDefinitions">commandDefinitions</a></span></code>
                                    <div class="block">The possible different commands we can hold</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hdgf/chunks/Chunk.html#Chunk-org.apache.poi.hdgf.chunks.ChunkHeader-org.apache.poi.hdgf.chunks.ChunkTrailer-org.apache.poi.hdgf.chunks.ChunkSeparator-byte:A-">Chunk</a></span>(<a
                                        href="../../../../../org/apache/poi/hdgf/chunks/ChunkHeader.html"
                                        title="class in org.apache.poi.hdgf.chunks">ChunkHeader</a>&nbsp;header,
                                    <a href="../../../../../org/apache/poi/hdgf/chunks/ChunkTrailer.html"
                                       title="class in org.apache.poi.hdgf.chunks">ChunkTrailer</a>&nbsp;trailer,
                                    <a href="../../../../../org/apache/poi/hdgf/chunks/ChunkSeparator.html"
                                       title="class in org.apache.poi.hdgf.chunks">ChunkSeparator</a>&nbsp;separator,
                                    byte[]&nbsp;contents)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hdgf/chunks/Chunk.html#Z:Z_getContents--">_getContents</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hdgf/chunks/ChunkFactory.CommandDefinition.html"
                                        title="class in org.apache.poi.hdgf.chunks">ChunkFactory.CommandDefinition</a>[]</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hdgf/chunks/Chunk.html#getCommandDefinitions--">getCommandDefinitions</a></span>()</code>
                                    <div class="block">Gets the command definitions, which define and describe much
                                        of the data held by the chunk.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hdgf/chunks/Chunk.Command.html"
                                        title="class in org.apache.poi.hdgf.chunks">Chunk.Command</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hdgf/chunks/Chunk.html#getCommands--">getCommands</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hdgf/chunks/ChunkHeader.html"
                                        title="class in org.apache.poi.hdgf.chunks">ChunkHeader</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hdgf/chunks/Chunk.html#getHeader--">getHeader</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hdgf/chunks/Chunk.html#getName--">getName</a></span>()</code>
                                    <div class="block">Get the name of the chunk, as found from the CommandDefinitions
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hdgf/chunks/Chunk.html#getOnDiskSize--">getOnDiskSize</a></span>()</code>
                                    <div class="block">Returns the size of the chunk, including any
                                        headers, trailers and separators.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hdgf/chunks/ChunkSeparator.html"
                                        title="class in org.apache.poi.hdgf.chunks">ChunkSeparator</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hdgf/chunks/Chunk.html#getSeparator--">getSeparator</a></span>()</code>
                                    <div class="block">Gets the separator between this chunk and the next, if it
                                        exists
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hdgf/chunks/ChunkTrailer.html"
                                        title="class in org.apache.poi.hdgf.chunks">ChunkTrailer</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hdgf/chunks/Chunk.html#getTrailer--">getTrailer</a></span>()</code>
                                    <div class="block">Gets the trailer for this chunk, if it exists</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hdgf/chunks/Chunk.html#processCommands--">processCommands</a></span>()</code>
                                    <div class="block">Uses our CommandDefinitions to process the commands
                                        our chunk type has, and figure out the
                                        values for them.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="commandDefinitions">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>commandDefinitions</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../org/apache/poi/hdgf/chunks/ChunkFactory.CommandDefinition.html"
                                        title="class in org.apache.poi.hdgf.chunks">ChunkFactory.CommandDefinition</a>[] commandDefinitions</pre>
                                <div class="block">The possible different commands we can hold</div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="Chunk-org.apache.poi.hdgf.chunks.ChunkHeader-org.apache.poi.hdgf.chunks.ChunkTrailer-org.apache.poi.hdgf.chunks.ChunkSeparator-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>Chunk</h4>
                                <pre>public&nbsp;Chunk(<a
                                        href="../../../../../org/apache/poi/hdgf/chunks/ChunkHeader.html"
                                        title="class in org.apache.poi.hdgf.chunks">ChunkHeader</a>&nbsp;header,
             <a href="../../../../../org/apache/poi/hdgf/chunks/ChunkTrailer.html"
                title="class in org.apache.poi.hdgf.chunks">ChunkTrailer</a>&nbsp;trailer,
             <a href="../../../../../org/apache/poi/hdgf/chunks/ChunkSeparator.html"
                title="class in org.apache.poi.hdgf.chunks">ChunkSeparator</a>&nbsp;separator,
             byte[]&nbsp;contents)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="Z:Z_getContents--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>_getContents</h4>
                                <pre>public&nbsp;byte[]&nbsp;_getContents()</pre>
                            </li>
                        </ul>
                        <a name="getHeader--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHeader</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hdgf/chunks/ChunkHeader.html"
                                                    title="class in org.apache.poi.hdgf.chunks">ChunkHeader</a>&nbsp;getHeader()</pre>
                            </li>
                        </ul>
                        <a name="getSeparator--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSeparator</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hdgf/chunks/ChunkSeparator.html"
                                                    title="class in org.apache.poi.hdgf.chunks">ChunkSeparator</a>&nbsp;getSeparator()</pre>
                                <div class="block">Gets the separator between this chunk and the next, if it exists
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the separator</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTrailer--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTrailer</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hdgf/chunks/ChunkTrailer.html"
                                                    title="class in org.apache.poi.hdgf.chunks">ChunkTrailer</a>&nbsp;getTrailer()</pre>
                                <div class="block">Gets the trailer for this chunk, if it exists</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the trailer</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCommandDefinitions--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCommandDefinitions</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hdgf/chunks/ChunkFactory.CommandDefinition.html"
                                        title="class in org.apache.poi.hdgf.chunks">ChunkFactory.CommandDefinition</a>[]&nbsp;getCommandDefinitions()</pre>
                                <div class="block">Gets the command definitions, which define and describe much
                                    of the data held by the chunk.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the command definitions</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCommands--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCommands</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hdgf/chunks/Chunk.Command.html"
                                                    title="class in org.apache.poi.hdgf.chunks">Chunk.Command</a>[]&nbsp;getCommands()</pre>
                            </li>
                        </ul>
                        <a name="getName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getName</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getName()</pre>
                                <div class="block">Get the name of the chunk, as found from the CommandDefinitions</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the name of the chunk</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getOnDiskSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getOnDiskSize</h4>
                                <pre>public&nbsp;int&nbsp;getOnDiskSize()</pre>
                                <div class="block">Returns the size of the chunk, including any
                                    headers, trailers and separators.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the size of the chunk</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="processCommands--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>processCommands</h4>
                                <pre>protected&nbsp;void&nbsp;processCommands()</pre>
                                <div class="block">Uses our CommandDefinitions to process the commands
                                    our chunk type has, and figure out the
                                    values for them.
                                </div>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Chunk.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li><a href="../../../../../org/apache/poi/hdgf/chunks/Chunk.Command.html"
               title="class in org.apache.poi.hdgf.chunks"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hdgf/chunks/Chunk.html" target="_top">Frames</a></li>
        <li><a href="Chunk.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
